Выполнение произвольных команд в pidgin-knotify

Дата публикации:
14.09.2010
Дата изменения:
14.09.2010
Всего просмотров:
1445
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:U/RC:C) = Base:10/Temporal:9
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
pidgin-knotify 0.x (плагин к Pidgin)
Уязвимые версии: pidgin-knotify 0.2.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в функции notify() в файле src/pidgin-knotify.c, перед передачей их функции system(). Удаленный пользователь может с помощью специально сформированного сообщения выполнить произвольные команды на системе.

URL производителя: code.google.com/p/pidgin-knotify/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: https://bugs.gentoo.org/show_bug.cgi?id=336916
http://code.google.com/p/pidgin-knotify/issues/detail?id=1

или введите имя

CAPTCHA